Get all Report Page Layouts
path Parameters
workspaceIdstring · required
query Parameters
originstring · enumDefines scope of origin of objects. All by default.
Enum values:ALLPARENTSNATIVEDefault: ALLfilterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLpageintegerZero-based page index (0..N)
Default: 0sizeintegerThe size of the page to be returned
Default: 20sortstring[]Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
metaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originpageallALL
Headers
X-GDC-VALIDATE-RELATIONSbooleanDefault: false
Responses
Request successfully processed
dataobject[] · unique · required
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Post Report Page Layout
path Parameters
workspaceIdstring · required
query Parameters
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLmetaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originallALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportPageLayout entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Get a Report Page Layout
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLmetaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originallALL
Headers
X-GDC-VALIDATE-RELATIONSbooleanDefault: false
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportPageLayout entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Put a Report Page Layout
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportPageLayout entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Patch a Report Page Layout
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportPageLayout entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Get all Report Templates
path Parameters
workspaceIdstring · required
query Parameters
originstring · enumDefines scope of origin of objects. All by default.
Enum values:ALLPARENTSNATIVEDefault: ALLfilterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLpageintegerZero-based page index (0..N)
Default: 0sizeintegerThe size of the page to be returned
Default: 20sortstring[]Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
metaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originpageallALL
Headers
X-GDC-VALIDATE-RELATIONSbooleanDefault: false
Responses
Request successfully processed
dataobject[] · unique · required
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Post Report Template
path Parameters
workspaceIdstring · required
query Parameters
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLmetaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originallALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportTemplate entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Get a Report Template
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLmetaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originallALL
Headers
X-GDC-VALIDATE-RELATIONSbooleanDefault: false
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportTemplate entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Put a Report Template
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportTemplate entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Patch a Report Template
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of reportTemplate entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Get all Reports
path Parameters
workspaceIdstring · required
query Parameters
originstring · enumDefines scope of origin of objects. All by default.
Enum values:ALLPARENTSNATIVEDefault: ALLfilterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLpageintegerZero-based page index (0..N)
Default: 0sizeintegerThe size of the page to be returned
Default: 20sortstring[]Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
metaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originpageallALL
Headers
X-GDC-VALIDATE-RELATIONSbooleanDefault: false
Responses
Request successfully processed
dataobject[] · unique · required
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Post Report
path Parameters
workspaceIdstring · required
query Parameters
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLmetaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originallALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of report entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Get a Report
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALLmetaIncludestring[] · unique · style: formInclude Meta objects.
Included meta objects
Enum values:originallALL
Headers
X-GDC-VALIDATE-RELATIONSbooleanDefault: false
Responses
Request successfully processed
dataobject · requiredJSON:API representation of report entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Put a Report
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of report entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject
Patch a Report
path Parameters
workspaceIdstring · requiredobjectIdstring · required
query Parameters
filterstringFiltering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').
includestring[] · style: formArray of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).
WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.
Enum values:userIdentifierscreatedBymodifiedByALL
Responses
Request successfully processed
dataobject · requiredJSON:API representation of report entity.
includedobject[] · uniqueIncluded resources
linksobjectmetaobject